Recommended update for cloud-regionsrv-client

SUSE Recommended Update: Recommended update for cloud-regionsrv-client
Announcement ID: SUSE-RU-2019:2618-1
Rating: important
References: #1149528 #1152567
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 12

An update that has two recommended fixes can now be installed.

Description:

This update for cloud-regionsrv-client fixes the following issues:

  • Fixes a crash if a new registration flag file does not exist (bsc#1149528)
  • Adds a new runtime dependency to the python3-six module to avoid a crash (bsc#1152567)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2019-2618=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • cloud-regionsrv-client-9.0.5-52.22.1
    • cloud-regionsrv-client-generic-config-1.0.0-52.22.1
    • cloud-regionsrv-client-plugin-azure-1.0.1-52.22.1
    • cloud-regionsrv-client-plugin-ec2-1.0.0-52.22.1
    • cloud-regionsrv-client-plugin-gce-1.0.0-52.22.1

References: